#include <bits/stdc++.h>
using namespace std;
int main(){
    /*
    ios_base::sync_with_stdio(false);
    cout.tie(NULL);
    cin.tie(NULL);
    */
    //cout << "po-09jgw|";
    long long n,m,k,q;
    cin >> n >> m >> k;
    vector<int> is(n,0);
    for(int i = 0;i < n;i++){
        int v,u;
        cin >> v >> u;
        if(u != v + 1){
            is[v] = 1;
            is[u - 1] = 1;
        }
    }
    long long ans = m - n + 1;
    for(int i = 0;i < n;i++){
        if(is[i]){
            ans++;
        }
    }
    cout << ans << endl << 1;
    return 0;
}
